Bug 6904 - Suggestion status 'pending' and 'asked'
Summary: Suggestion status 'pending' and 'asked'
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Henri-Damien LAURENT
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-22 05:56 UTC by Katrin Fischer
Modified: 2012-10-25 23:09 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 6904: Changes 'asked' to 'pending' in suggestions for more consistency (4.71 KB, patch)
2011-10-13 05:35 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6904: Changes 'asked' to 'pending' in suggestions for more consistency (4.78 KB, patch)
2011-10-14 13:46 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2011-09-22 05:56:28 UTC
While testing a patch for suggestions I wondered about the different terms used for 'fresh' suggestions.

When you create a suggestion it goes into tab 'pending'. But the status for that is 'asked'.

The naming should at least be consistent. 

Does 'asked' make sense? 

Perhaps we should rename it to something like 'suggested'?
Comment 1 Nicole C. Engard 2011-09-29 15:48:42 UTC
I'd say it should be 'pending' everywhere. Why use diff language in diff places?
Comment 2 Katrin Fischer 2011-09-30 05:07:16 UTC
I think that too - it should be consistent.
Comment 3 Katrin Fischer 2011-10-13 05:35:57 UTC Comment hidden (obsolete)
Comment 4 Nicole C. Engard 2011-10-14 13:46:47 UTC
Created attachment 5893 [details] [review]
[SIGNED-OFF] Bug 6904: Changes 'asked' to 'pending' in suggestions for more consistency

In some places the suggestions were 'pending' in others the same status
was named 'pending'. This patch changes the status to 'pending' in all
places on the suggestion page to make it more consistent.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 5 Ian Walls 2011-10-17 19:26:02 UTC
Simple template change, but introduces new strings.  Marking as Passed QA; integration is up to RM.
Comment 7 Katrin Fischer 2011-10-17 19:37:41 UTC
Patch has been pushed, but got the link from the wrong tab - correct link:
http://git.koha-community.org/gitweb/?p=koha.git;a=commit;h=087bb15e7003cb1f5e271b5b88c1abb99f33c89c
Comment 8 Katrin Fischer 2011-10-29 14:53:44 UTC
All instances of 'asked' are changed to 'pending' now on current master/3.6